WhiteRectangleDetector (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.common.detector, class: WhiteRectangleDetector

Package com.google.zxing.common.detector

# Class WhiteRectangleDetector

java.lang.Object
com.google.zxing.common.detector.WhiteRectangleDetector

public final class WhiteRectangleDetector extends Object

Detects a candidate barcode-like rectangular region within an image. It starts around the center of the image, increases the size of the candidate region until it finds a white rectangular region. By keeping track of the last black points it encountered, it determines the corners of the barcode.

Author:
  David Olivier

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WhiteRectangleDetector(BitMatrix image)`
  `WhiteRectangleDetector(BitMatrix image, int initSize, int x, int y)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResultPoint[]`
  `detect()`
  Detects a candidate barcode-like rectangular region within an image.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WhiteRectangleDetector

    public WhiteRectangleDetector(BitMatrix image) throws NotFoundException
    Throws:
      `NotFoundException`

  - ### WhiteRectangleDetector

    public WhiteRectangleDetector(BitMatrix image, int initSize, int x, int y) throws NotFoundException
    Parameters:
      `image` - barcode image to find a rectangle in
      `initSize` - initial size of search area around center
      `x` - x position of search center
      `y` - y position of search center
    Throws:
      `NotFoundException` - if image is too small to accommodate `initSize`

- ## Method Details

  - ### detect

    public ResultPoint[] detect() throws NotFoundException

    Detects a candidate barcode-like rectangular region within an image. It starts around the center of the image, increases the size of the candidate region until it finds a white rectangular region.

    Returns:
      `ResultPoint`[] describing the corners of the rectangular region. The first and last points are opposed on the diagonal, as are the second and third. The first point will be the topmost point and the last, the bottommost. The second point will be leftmost and the third, the rightmost
    Throws:
      `NotFoundException` - if no Data Matrix Code can be found